Name:           perl-Dancer-Plugin-Email
Version:        1.0000
Release:        1%{?dist}
Summary:        Simple email sending for Dancer applications
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Dancer-Plugin-Email/
Source0:        http://www.cpan.org/authors/id/I/IR/IRONCAMEL/Dancer-Plugin-Email-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Dancer)
BuildRequires:  perl(Dancer::Plugin)
BuildRequires:  perl(Email::Sender::Simple)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Type)
BuildRequires:  perl(MIME::Entity)
BuildRequires:  perl(Module::Load)
BuildRequires:  perl(Try::Tiny)
Requires:       perl(Dancer)
Requires:       perl(Dancer::Plugin)
Requires:       perl(Email::Sender::Simple)
Requires:       perl(File::Type)
Requires:       perl(MIME::Entity)
Requires:       perl(Module::Load)
Requires:       perl(Try::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin tries to make sending emails from Dancer applications as
simple as possible. It uses Email::Sender under the hood. In a lot of
cases, no configuration is required. For example, if your app is hosted on
a unix-like server with sendmail installed, calling email() will just do
the right thing.

%prep
%setup -q -n Dancer-Plugin-Email-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES dist.ini LICENSE README README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jan 19 2013 Dave Cross <dave@mag-sol.com> 1.0000-1
- Specfile autogenerated by cpanspec 1.78.
